tbb::strict_ppl::internal::concurrent_queue_page_allocator Class Referenceabstract

Abstract class to define interface for page allocation/deallocation. More...

`#include <_concurrent_queue_impl.h>`

Inheritance diagram for tbb::strict_ppl::internal::concurrent_queue_page_allocator:
Collaboration diagram for tbb::strict_ppl::internal::concurrent_queue_page_allocator:

## Protected Member Functions

virtual | ~concurrent_queue_page_allocator ()

## Private Member Functions

virtual concurrent_queue_rep_base::page * | allocate_page ()=0
virtual void | deallocate_page (concurrent_queue_rep_base::page *p)=0

## Friends

template<typename T >
class | micro_queue
template<typename T >
class | micro_queue_pop_finalizer

## Detailed Description

Abstract class to define interface for page allocation/deallocation.

For internal use only.

Definition at line 110 of file _concurrent_queue_impl.h.

## Constructor & Destructor Documentation

## ~concurrent_queue_page_allocator()

virtual tbb::strict_ppl::internal::concurrent_queue_page_allocator::~concurrent_queue_page_allocator | ( |  | ) |

inline protected virtual

Definition at line 115 of file _concurrent_queue_impl.h.

{}

## Member Function Documentation

## allocate_page()

virtual concurrent_queue_rep_base::page* tbb::strict_ppl::internal::concurrent_queue_page_allocator::allocate_page | ( |  | ) |

private pure virtual

Implemented in tbb::strict_ppl::internal::concurrent_queue_base_v3< T >, tbb::strict_ppl::internal::concurrent_queue_base_v3< tbb_remove_cv< Value >::type >, and tbb::strict_ppl::internal::concurrent_queue_base_v3< Value >.

Referenced by tbb::strict_ppl::internal::micro_queue< Value >::make_copy(), and tbb::strict_ppl::internal::micro_queue< Value >::push().

Here is the caller graph for this function:

## deallocate_page()

virtual void tbb::strict_ppl::internal::concurrent_queue_page_allocator::deallocate_page | ( | concurrent_queue_rep_base::page * | p | ) |

private pure virtual

Implemented in tbb::strict_ppl::internal::concurrent_queue_base_v3< T >, tbb::strict_ppl::internal::concurrent_queue_base_v3< tbb_remove_cv< Value >::type >, and tbb::strict_ppl::internal::concurrent_queue_base_v3< Value >.

## Friends And Related Function Documentation

## micro_queue

template<typename T >

friend class micro_queue

friend

Definition at line 112 of file _concurrent_queue_impl.h.

## micro_queue_pop_finalizer

template<typename T >

friend class micro_queue_pop_finalizer

friend

Definition at line 113 of file _concurrent_queue_impl.h.

The documentation for this class was generated from the following file:

- _concurrent_queue_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.